<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<AnchorPane prefHeight="480.0" prefWidth="640.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.dmunoz.gendatafile.view.WndLoadEntitiesCtrl">
   <children>
      <VBox prefHeight="200.0" prefWidth="100.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <children>
            <HBox alignment="CENTER_LEFT" prefHeight="48.0" prefWidth="200.0" spacing="8.0">
               <VBox.margin>
                  <Insets bottom="4.0" left="4.0" right="4.0" top="4.0" />
               </VBox.margin>
               <children>
                  <Label text="Archivo" />
                  <TextField fx:id="txt_model" disable="true" editable="false" prefWidth="320.0" />
                  <Button defaultButton="true" mnemonicParsing="false" onAction="#btnModelAction" prefWidth="24.0" text="..." />
               </children>
               <padding>
                  <Insets left="16.0" />
               </padding>
            </HBox>
            <HBox alignment="CENTER_LEFT" prefHeight="380.0" prefWidth="200.0" spacing="8.0">
               <children>
                  <VBox prefHeight="200.0" prefWidth="200.0" spacing="4.0">
                     <HBox.margin>
                        <Insets bottom="8.0" left="8.0" right="8.0" top="8.0" />
                     </HBox.margin>
                     <children>
                        <Label text="Entidades">
                           <font>
                              <Font name="System Bold" size="18.0" />
                           </font>
                        </Label>
                        <ListView fx:id="lst_entities" onMouseClicked="#lstSelectedAction" prefHeight="320.0" />
                     </children>
                  </VBox>
                  <VBox prefHeight="200.0" prefWidth="400.0" spacing="4.0">
                     <HBox.margin>
                        <Insets bottom="8.0" left="8.0" right="8.0" top="8.0" />
                     </HBox.margin>
                     <children>
                        <Label text="Información entidad">
                           <font>
                              <Font name="System Bold" size="18.0" />
                           </font>
                        </Label>
                        <TextArea fx:id="txt_entity" prefHeight="320.0">
                           <font>
                              <Font name="Consolas" size="12.0" />
                           </font></TextArea>
                     </children>
                  </VBox>
               </children>
            </HBox>
            <HBox alignment="CENTER_RIGHT" prefHeight="40.0" prefWidth="200.0" spacing="8.0">
               <children>
                  <Button cancelButton="true" mnemonicParsing="false" onAction="#btnCloseAction" prefWidth="80.0" text="Cerrar" />
               </children>
               <padding>
                  <Insets right="8.0" />
               </padding>
            </HBox>
         </children>
      </VBox>
   </children>
</AnchorPane>
